## org.eclipse.wtp.releng.tools.versionchecker
Class ClassPathResolver

    java.lang.Object
      org.eclipse.wtp.releng.tools.versionchecker.ClassPathResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

public class ClassPathResolver
extends java.lang.Object
implements org.xml.sax.EntityResolver

ClassPathResolver

Constructor Summary
`ClassPathResolver()`

Method Summary
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPathResolver

    public ClassPathResolver()

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`